> ## Documentation Index
> Fetch the complete documentation index at: https://waffo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscription manage



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/subscription/manage
openapi: 3.1.0
info:
  title: acquiring-order
  description: 接口文档
  termsOfService: https://www.waffo.com
  version: 1.0.0
servers:
  - url: https://www.waffo.com
    description: Sandbox API (auto-signed via Next.js proxy)
security: []
tags:
  - name: Order create
    description: ' Order create api description'
  - name: Subscription create
    description: Subscription create api description
  - name: Subscription inquiry
    description: Subscription inquiry api description
  - name: Order inquiry
    description: Order inquiry api description
  - name: Subscription cancel
    description: >
      Cancel an active subscription when the merchant no longer wishes to
      continue the recurring billing cycle. This endpoint can only be invoked
      when the subscription status is active
  - name: Order cancel
    description: Order cancel api description
  - name: Subscription manage
    description: >
      This API allows the merchant to request a subscription management URL from
      Waffo

      Waffo will generate a subscription management URL which merchant can
      redirect user to this URL for managing subscription details (e.g. view
      subscription detail and cancel subscription). This management URL has a
      fixed expiration time (e.g., 1 day).
  - name: Order refund
    description: Order refund api description
  - name: Subscription change
    description: >
      This API allows merchants to upgrade or downgrade a user's subscription
      plan. The change request will create a new subscription based on the
      original subscription, applying any remaining amount from the original
      subscription.


      此接口允许商户升级或降级用户的订阅计划。升降级请求将基于原订阅创建新订阅，并将原订阅的剩余金额应用到新订阅中。
  - name: Refund inquiry
    description: Refund inquiry api description
  - name: Subscription change inquiry
    description: >
      This API allows merchants to query the status of a subscription change
      (upgrade/downgrade) request.

      此接口允许商户查询订阅升降级请求的状态。
  - name: Merchant config inquiry
    description: Merchant config inquiry api description
  - name: Pay Method Config Inquiry
    description: Pay Method Config Inquiry api description
paths:
  /api/v1/subscription/manage:
    post:
      tags:
        - Subscription manage
      summary: Subscription manage
      operationId: subscriptionManage
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubscriptionManageRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponseSubscriptionManageResponse'
components:
  schemas:
    SubscriptionManageRequest:
      type: object
      properties:
        subscriptionId:
          type: string
          description: 'Waffo subscription Id '
          maxLength: 64
          minLength: 0
        subscriptionRequest:
          type: string
          description: >-
            Subscription request id sent from Merchant. It will also be used for
            idempotent check.  
          maxLength: 64
          minLength: 0
    ResponseSubscriptionManageResponse:
      type: object
      description: response data
      properties:
        code:
          type: string
        msg:
          type: string
        data:
          $ref: '#/components/schemas/SubscriptionManageResponse'
    SubscriptionManageResponse:
      type: object
      properties:
        subscriptionRequest:
          type: string
          description: >-
            Subscription request id sent from Merchant. It will also be used for
            idempotent check. 
        merchantSubscriptionId:
          type: string
          description: Merchant subscription plan ID assigned to this user
        subscriptionId:
          type: string
          description: The subscription ID assigned by Waffo
        managementUrl:
          type: string
          description: The generated management url for this subscription
        expiredAt:
          type: string
          description: >-
            The expiration time of the management url (ISO 8601 format,UTC+0
            timezone)
        subscriptionStatus:
          type: string
          description: >
            Subscription status

            - AUTHORIZATION_REQUIRED (pay method requires user authorization,
            merchant needs to bring user to the authorization page by retrieving
            the information from orderAction)

            - IN_PROGRESS (user is in progress to confirm the subscription)

            - ACTIVE 

            - CLOSE (due to timeout or failed)

            - MERCHANT_CANCELLED

            - USER_CANCELLED

            - CHANNEL_CANCELLED

            - EXPIRED

````